Create Campaign with Email Touchpoint
curl --request POST \
--url https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_campaign/create_with_touchpoint \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"type": "<string>",
"company_plan_id": "<string>",
"workspace_id": "<string>",
"business_goal": "<string>",
"touchpoint": {
"name": "<string>",
"type": "<string>",
"status": "<string>",
"start_at": "<string>",
"assistant_id": 123,
"customer_details": [
{
"id": "<string>",
"email": "<string>"
}
],
"additional_settings": {
"execution_days": [
"<string>"
],
"start_hour": 123,
"end_hour": 123,
"time_zone": "<string>",
"email": "<string>",
"from_emails": [
"<string>"
],
"email_medium": "<string>"
},
"email_subject": "<string>",
"email_body": "<string>",
"variables": "<string>"
}
}
'import requests
url = "https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_campaign/create_with_touchpoint"
payload = {
"name": "<string>",
"type": "<string>",
"company_plan_id": "<string>",
"workspace_id": "<string>",
"business_goal": "<string>",
"touchpoint": {
"name": "<string>",
"type": "<string>",
"status": "<string>",
"start_at": "<string>",
"assistant_id": 123,
"customer_details": [
{
"id": "<string>",
"email": "<string>"
}
],
"additional_settings": {
"execution_days": ["<string>"],
"start_hour": 123,
"end_hour": 123,
"time_zone": "<string>",
"email": "<string>",
"from_emails": ["<string>"],
"email_medium": "<string>"
},
"email_subject": "<string>",
"email_body": "<string>",
"variables": "<string>"
}
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
type: '<string>',
company_plan_id: '<string>',
workspace_id: '<string>',
business_goal: '<string>',
touchpoint: {
name: '<string>',
type: '<string>',
status: '<string>',
start_at: '<string>',
assistant_id: 123,
customer_details: [{id: '<string>', email: '<string>'}],
additional_settings: {
execution_days: ['<string>'],
start_hour: 123,
end_hour: 123,
time_zone: '<string>',
email: '<string>',
from_emails: ['<string>'],
email_medium: '<string>'
},
email_subject: '<string>',
email_body: '<string>',
variables: '<string>'
}
})
};
fetch('https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_campaign/create_with_touchpoint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ctx_id": "<string>",
"data": {
"id": "<string>",
"name": "<string>",
"status": "<string>"
}
}Create-Campaign
Create Campaign with Email Touchpoint
Create a new campaign with an email touchpoint.
POST
/
v2
/
_campaign
/
create_with_touchpoint
Create Campaign with Email Touchpoint
Authorizations
string
required
Enter your ContactSwing JWT Bearer token.
Request Body
string
required
Campaign display name
string
Campaign type.
string
Campaign type.
string
Campaign type.
string
The business goal of the campaign.
object
required
The touchpoint object.
string
required
The name of the touchpoint.
string
required
The type of the touchpoint. e.g.
EMAIL.string
required
The status of the touchpoint. e.g.
scheduled.string
required
ISO 8601 scheduled date for the touchpoint.
integer
required
The ID of the assistant to be used.
array
required
object
required
Additional settings for the touchpoint.
string[]
required
Array of days when the campaign will be executed. e.g.
["mon", "tue"]integer
required
The start hour for the campaign execution.
integer
required
The end hour for the campaign execution.
string
required
The timezone for the campaign execution. e.g.
Asia/Kolkata.string
required
The email address to be used.
string[]
required
The email addresses from which the emails will be sent.
string
required
The email medium to be used. e.g.
SEND_GRID.string
required
The subject of the email.
string
required
The body of the email in HTML format.
string
Response
201 Created - Campaign created successfullystring
Request context ID
⌘I

